Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_TreeItem

TreeView_Item component
Contained in: global
Derived from: CL_Component
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

### public function member index:

### Construction:

`` | `CL_TreeItem` | `(`CL_TreeNode`* `node`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;
`` | `CL_TreeItem` | `(`CL_TreeNode`* `node`, `const` `std::string`& `text`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;
``virtual`` | `~CL_TreeItem` | `()`;

### Attributes:

``const` `std::string`&` | `get_text` | `() `const``;
``CL_TreeNode`*` | `get_node` | `() `const``;

### Operations:

``void`` | `set_text` | `(`const` `std::string`& `text`)`;

### Signals:

``CL_Signal_v0`&` | `sig_clicked` | `()`;

### private function member index:

### Implementation:

`` | `CL_TreeItem` | `(`const` `CL_TreeItem`& `copy`)`;

## Description:

## Function Member Descriptions:

CL_TreeItem::CL_TreeItem - TreeView Item Constructor
`` `CL_TreeItem` `(`CL_TreeNode`* `node`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;

CL_TreeItem::CL_TreeItem - TreeView Item Constructor
`` `CL_TreeItem` `(`CL_TreeNode`* `node`, `const` `std::string`& `text`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;

CL_TreeItem::get_node - Returns the TreeView node this component is used in.
``CL_TreeNode`*` `get_node` `() `const``;

CL_TreeItem::get_text - Returns the item label.
``const` `std::string`&` `get_text` `() `const``;

> Returns - The item label.

CL_TreeItem::set_text - Sets the item label.
``void`` `set_text` `(`const` `std::string`& `text`)`;

> text - The item label.

CL_TreeItem::sig_clicked - This signal is emitted when the item is clicked on.
``CL_Signal_v0`&` `sig_clicked` `()`;

CL_TreeItem::~CL_TreeItem - TreeView Item Destructor
``virtual`` `~CL_TreeItem` `()`;

## Variable Member Descriptions: